get
https://api.zondacryptopay.com/rest/pay/outgoing-payments/search
Allows to get list of all performed withdrawals. You could also filter records using specified parameters.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response details:
| Key | Type | Description |
|---|---|---|
| page | array | Response body. |
| id | UUID | Withdrawal identifier. |
| storeId | UUID | Store identifier. |
| posId | UUID | POS terminal identifier. |
| orderId | string | Your own order identifier. |
| destinationAddress | string | Address of withdrawal. |
| sourceCurrency | string | Source currency which was used to specify withdrawal value. |
| destinationCurrency | string | Destination currency which was sent to recipient. |
| channelName | string | Channel through which the destination currency was sent. |
| sourcePrice | decimal | Value of withdrawal in source currency. |
| creationTimestamp | Unix Timestamp | Creation time of the withdrawal. |
| destinationTransferAmount | decimal | Value of withdrawal in destination currency |
| keepDestinationCurrency | boolean | If parameter keepDestinationCurrency was used |
| sandbox | boolean | If withdrawal was created with sandbox parameter |
| transactionLink | String | URL to crypto network specific explorer with information about this transaction |
| status | String | described below |
| pageNumber | integer | Current page number. |
| hasNextPage | boolean | If next page exists. |
List of possible withdrawal statuses
| status | opis |
|---|---|
| STARTED | Initial withdrawal status, waiting for withdrawal address |
| ADDRESS_PROVIDED | Withdrawal address provided. Currently waiting for being sent to crypto network |
| FAILED | Failed due to internal processing. Ex. errors while calculating/obtaining transfer exchange rate |
| COMPLETED | Funds succesfully left zonda wallets and reached customer |
| EXPIRED | Withdrawal did not get withdrawal address in time. After 24h from withdrawal creation, all withdrawals without provided address are marked as expired. |